package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.ChannelEmailInfoVO;
import lombok.Data;

import java.util.Date;

@Data
@TableName("channel_email_info")
public class ChannelEmailInfoDO {
    /**
     * ID
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;
    /**
     * 渠道ID
     */
    @TableField("channel_id")
    private Integer channelId;
    /**
     * 邮箱地址
     */
    @TableField("email")
    private String email;

    @TableField("isvalid")
    private Integer isvalid;

    @TableField("createtime")
    private Date createTime;

    @TableField("updatetime")
    private Date updateTime;

    @TableField("creatorid")
    private Integer creatorId;

    @TableField("updaterid")
    private Integer updaterId;

    public ChannelEmailInfoVO toVo() {
        ChannelEmailInfoVO vo = new ChannelEmailInfoVO();
        vo.setId(id);
        vo.setChannelId(channelId);
        vo.setEmail(email);
        vo.setUpdaterId(updaterId);
        vo.setCreatorId(creatorId);
        vo.setCreateTime(DateUtils.format(createTime, "yyyy-MM-dd HH:mm:ss"));
        vo.setUpdateTime(DateUtils.format(updateTime, "yyyy-MM-dd HH:mm:ss"));
        return vo;
    }
}
