package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.CompanyContactInfoPageVO;
import com.simuwang.base.pojo.vo.CompanyContactInfoVO;
import lombok.Data;

import java.util.Date;

@Data
public class CompanyContactInfoPageDO {
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 管理人名称
     */
    private String companyName;
    /**
     * 管理人简称
     */
    private String companyShortName;
    /**
     * 管理人规模
     */
    private Integer companyAssetSize;
    /**
     * 信用代码
     */
    private String creditCode;
    /**
     * 成立日期
     */
    private String establishDate;
    /**
     * 报送状态
     */
    private Integer isSend;
    /**
     * 对接日期
     */
    private Date contactDate;
    /**
     * 对接人
     */
    private String contactor;
    /**
     * 客户经理
     */
    private String customerManager;
    /**
     * 联系人名称
     */
    private String contactName;
    /**
     * 对接状态
     */
    private Integer contactStatus;
    /**
     * 签约方式
     */
    private Integer signMethod;
    /**
     * 对接备注
     */
    private String contactRemark;

    private String fileName;

    private String filePath;

    private Integer fileId;

    public CompanyContactInfoPageVO toVO() {
        CompanyContactInfoPageVO vo = new CompanyContactInfoPageVO();
        vo.setCompanyId(companyId);
        vo.setCompanyName(companyName);
        vo.setEstablishDate(establishDate);
        vo.setContactDate(DateUtils.format(contactDate, DateUtils.YYYY_MM_DD));
        vo.setContactor(contactor);
        vo.setContactStatus(contactStatus);
        vo.setCustomerManager(customerManager);
        vo.setContactRemark(contactRemark);
        vo.setSignMethod(signMethod);
        vo.setCompanyAssetSize(companyAssetSize);
        vo.setCompanyShortName(companyShortName);
        vo.setCreditCode(creditCode);
        vo.setIsSend(isSend);
        vo.setContactName(contactName);
        vo.setFileId(fileId);
        vo.setFileName(fileName);
        vo.setFilePath(filePath);
        return vo;
    }

}